> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /gdelt/articles/context

> Snippet-level news search across GDELT coverage. Like article search but each result also includes the in-text sentence where the query appears plus its surrounding context, showing how a term is actually used.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/news-publishing.json post /api/gdelt/articles/context
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/gdelt/articles/context:
    post:
      tags:
        - /gdelt
      summary: /gdelt/articles/context
      description: >-
        Snippet-level news search across GDELT coverage. Like article search but
        each result also includes the in-text sentence where the query appears
        plus its surrounding context, showing how a term is actually used.


        **Price:** 1 credit
      operationId: __api_gdelt_articles_context_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GdeltArticlesContextPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GdeltContextArticle'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GdeltArticlesContextPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        timespan:
          anyOf:
            - type: string
            - type: 'null'
        start_datetime:
          anyOf:
            - type: string
            - type: 'null'
        end_datetime:
          anyOf:
            - type: string
            - type: 'null'
        source_country:
          anyOf:
            - $ref: '#/components/schemas/GdeltSourceCountry'
            - type: 'null'
        source_lang:
          anyOf:
            - $ref: '#/components/schemas/GdeltSourceLang'
            - type: 'null'
        domain:
          anyOf:
            - type: string
            - type: 'null'
        theme:
          anyOf:
            - type: string
            - type: 'null'
        translate:
          type: boolean
          default: false
        count:
          type: integer
          maximum: 250
          minimum: 1
        sort:
          $ref: '#/components/schemas/GdeltSort'
          default: date_desc
      type: object
      required:
        - query
        - count
    GdeltContextArticle:
      properties:
        '@type':
          type: string
          default: GdeltContextArticle
        url:
          type: string
        domain:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        seen_at:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_quote:
          anyOf:
            - type: boolean
            - type: 'null'
        sentence:
          anyOf:
            - type: string
            - type: 'null'
        context:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GdeltSourceCountry:
      type: string
      enum:
        - afghanistan
        - albania
        - algeria
        - american_samoa
        - andorra
        - angola
        - anguilla
        - antarctica
        - antigua_and_barbuda
        - argentina
        - armenia
        - aruba
        - australia
        - austria
        - azerbaijan
        - bahamas
        - bahrain
        - bangladesh
        - barbados
        - belarus
        - belgium
        - belize
        - benin
        - bermuda
        - bhutan
        - bolivia
        - bosnia_herzegovina
        - botswana
        - brazil
        - british_virgin_islands
        - brunei
        - bulgaria
        - burkina_faso
        - burundi
        - cambodia
        - cameroon
        - canada
        - cape_verde
        - cayman_islands
        - central_african_republic
        - chad
        - chile
        - china
        - colombia
        - comoros
        - congo
        - cook_islands
        - costa_rica
        - cote_divoire
        - croatia
        - cuba
        - cyprus
        - czech_republic
        - democratic_republic_of_the_congo
        - denmark
        - djibouti
        - dominica
        - dominican_republic
        - east_timor
        - ecuador
        - egypt
        - el_salvador
        - equatorial_guinea
        - eritrea
        - estonia
        - ethiopia
        - falkland_islands
        - faroe_islands
        - fiji
        - finland
        - france
        - french_guiana
        - french_polynesia
        - gabon
        - gambia
        - gaza_strip
        - georgia
        - germany
        - ghana
        - gibraltar
        - greece
        - greenland
        - grenada
        - guadeloupe
        - guam
        - guatemala
        - guernsey
        - guinea_bissau
        - guyana
        - haiti
        - honduras
        - hong_kong
        - hungary
        - iceland
        - india
        - indonesia
        - iran
        - iraq
        - ireland
        - isle_of_man
        - israel
        - italy
        - jamaica
        - japan
        - jersey
        - jordan
        - kazakhstan
        - kenya
        - kiribati
        - kosovo
        - kuwait
        - kyrgyzstan
        - laos
        - latvia
        - lebanon
        - lesotho
        - liberia
        - libya
        - liechtenstein
        - lithuania
        - luxembourg
        - macau
        - macedonia
        - madagascar
        - malawi
        - malaysia
        - maldives
        - mali
        - malta
        - marshall_islands
        - martinique
        - mauritania
        - mauritius
        - mayotte
        - mexico
        - micronesia
        - moldova
        - monaco
        - mongolia
        - montenegro
        - montserrat
        - morocco
        - mozambique
        - myanmar
        - namibia
        - nauru
        - nepal
        - netherlands
        - new_caledonia
        - new_zealand
        - nicaragua
        - niger
        - nigeria
        - niue
        - norfolk_island
        - north_korea
        - northern_mariana_islands
        - norway
        - oman
        - pakistan
        - palau
        - panama
        - papua_new_guinea
        - paraguay
        - peru
        - philippines
        - pitcairn_islands
        - poland
        - portugal
        - puerto_rico
        - qatar
        - reunion
        - romania
        - russia
        - rwanda
        - saint_helena
        - saint_kitts_and_nevis
        - saint_lucia
        - saint_martin
        - saint_pierre_and_miquelon
        - saint_vincent_and_the_grenadines
        - saint_barthelemy
        - samoa
        - san_marino
        - sao_tome_and_principe
        - saudi_arabia
        - senegal
        - serbia
        - seychelles
        - sierra_leone
        - singapore
        - slovenia
        - solomon_islands
        - somalia
        - south_africa
        - south_korea
        - south_sudan
        - spain
        - sri_lanka
        - sudan
        - suriname
        - svalbard
        - swaziland
        - sweden
        - switzerland
        - syria
        - taiwan
        - tajikistan
        - tanzania
        - thailand
        - togo
        - tokelau
        - tonga
        - trinidad_and_tobago
        - tunisia
        - turkey
        - turkmenistan
        - turks_and_caicos_islands
        - tuvalu
        - uganda
        - ukraine
        - united_arab_emirates
        - united_kingdom
        - united_states
        - uruguay
        - uzbekistan
        - vanuatu
        - vatican_city
        - venezuela
        - vietnam
        - virgin_islands
        - wallis_and_futuna
        - west_bank
        - western_sahara
        - yemen
        - zambia
        - zimbabwe
    GdeltSourceLang:
      type: string
      enum:
        - afrikaans
        - albanian
        - arabic
        - armenian
        - azerbaijani
        - bengali
        - bosnian
        - bulgarian
        - catalan
        - chinese
        - croatian
        - czech
        - danish
        - dutch
        - english
        - estonian
        - finnish
        - french
        - galician
        - georgian
        - german
        - greek
        - gujarati
        - hebrew
        - hindi
        - hungarian
        - icelandic
        - indonesian
        - italian
        - japanese
        - kannada
        - kazakh
        - korean
        - latvian
        - lithuanian
        - macedonian
        - malay
        - malayalam
        - marathi
        - mongolian
        - nepali
        - norwegian
        - persian
        - polish
        - portuguese
        - punjabi
        - romanian
        - russian
        - serbian
        - sinhalese
        - slovak
        - slovenian
        - somali
        - spanish
        - swahili
        - swedish
        - tamil
        - telugu
        - thai
        - tibetan
        - turkish
        - ukrainian
        - urdu
        - vietnamese
    GdeltSort:
      type: string
      enum:
        - date_desc
        - date_asc
        - tone_desc
        - tone_asc
        - relevance
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````